Bug 91898 - src/util/mesa-sha1.c:250:25: fatal error: openssl/sha.h: No such file or directory
Summary: src/util/mesa-sha1.c:250:25: fatal error: openssl/sha.h: No such file or dire...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2015-09-06 23:13 UTC by Vinson Lee
Modified: 2015-09-11 05:53 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-09-06 23:13:12 UTC
mesa: 13bfa5201162185005fa9a45f7bc76e5909ab193 (master 11.1.0-devel)

$ scons
[...]
  Compiling src/util/mesa-sha1.c ...
src/util/mesa-sha1.c:250:25: fatal error: openssl/sha.h: No such file or directory
 #include <openssl/sha.h>
                         ^

13bfa5201162185005fa9a45f7bc76e5909ab193 is the first bad commit
commit 13bfa5201162185005fa9a45f7bc76e5909ab193
Author: Ilia Mirkin <imirkin@alum.mit.edu>
Date:   Fri Sep 4 16:43:22 2015 -0400

    util: always include sha1 into the build
    
    SHA1 is now used in all builds when HAVE_SHA1 is defined. Adjust src to
    do the same thing, rather than predicating on shader cache.
    
    Fixes: 04e201d0c02 ("mesa: change 'SHADER_SUBST' facility to work with env variables")
    Signed-off-by: Ilia Mirkin <imirkin@alum.mit.edu>
    Reviewed-by: Dave Airlie <airlied@gmail.com>

:040000 040000 aded21ebb41289308c50b4987e5ad52e0bf95e3b dde6d7be34d841f7c460875358c34f9b8506742d M	src
bisect run success
Comment 1 Ilia Mirkin 2015-09-06 23:16:14 UTC
Hmmm... I wonder if I should just stick the #ifdef HAVE_SHA1 all the way up top.
Comment 2 Ilia Mirkin 2015-09-07 04:09:35 UTC
This should resolve the issue:

http://patchwork.freedesktop.org/patch/58800/
Comment 3 Tapani Pälli 2015-09-11 05:46:51 UTC
Vinson, is this still a problem?
Comment 4 Vinson Lee 2015-09-11 05:53:51 UTC
(In reply to Tapani Pälli from comment #3)
> Vinson, is this still a problem?

This is fixed.

commit ae535cb0bf86e3ae376d42f4fd064bb73c22427e
Author: Ilia Mirkin <imirkin@alum.mit.edu>
Date:   Mon Sep 7 00:06:51 2015 -0400

    util: make mesa-sha1.c completely empty when there are no SHA1 impls
    
    My earlier attempt to fix this missed the fact that there was a #else
    clause that assumes that you have openssh. This moves the whole thing
    under #ifdef HAVE_SHA1 which should avoid this issue.
    
    Fixes: 13bfa5201 (util: always include sha1 into the build)
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=91898
    Signed-off-by: Ilia Mirkin <imirkin@alum.mit.edu>
    Reviewed-by: Dave Airlie <airlied@gmail.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.